#
# spec file for package mrd6 (Version 0.9.6)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           mrd6
Version:        0.9.6
Release:        2.2
%define pkg_version 0.9.6
%define pkg_patchlevel 3
#
License:        GPL
Group:          Productivity/Networking/Routing
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++ net-snmp-devel
#
Url:            http://www.fivebits.net/proj/mrd6/
#Source:         http://www.fivebits.net/files/mrd6/mrd6-%{pkg_version}-%{pkg_patchlevel}.tar.gz
Source:		http://www.fivebits.net/files/mrd6/mrd6-%{pkg_version}.tar.bz2
Patch:          mrd6-0.9.5_verbose_make.patch
#
Summary:        Multicast Routing Daemon for IPv6
%description
  MRD6 is a modular IPv6 Multicast Routing Daemon which implements:
    * MLDv1 and MLDv2 with forwarding capabilities
      - MLD proxying
    * PIM-SM (ASM and SSM)
      - Bootstrap (BSR) Mechanism support
      - Static RP configuration
      - Embedded-RP support
    * partial MBGP support
      - Uses IPv6 Multicast SAFI prefixes announced by
        peers to update local MRIB
      - Is able to announce local prefixes
      - Filter support
    * Native and virtual (tunnel) interfaces support
    * CLI support (remote configuration and management) via
      telnet or local access

Authors:
---------
    Hugo Santos <hugo@fivebits.net>


%debug_package
%prep
%setup -n mrd6-%{pkg_version}
#%patch

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
%{__perl} config/base.pl \
  --prefix %{_prefix}    \
  --external mld         \
  --external pim         \
  --external console     \
  --external bgp         \
  --external msnip       \
  --external mrdisc      \
  --external ripng       \
  --external dummy       \
  --external snmp        \
  --external zebra       \
  --external extra
%{__make}
#%{__make} -C src
#%{__make} -C src bgp
%{__make} -C tools/c CFLAGS="%{optflags}"

%install
%{__install} -Dd -m 0755          \
  %{buildroot}%{_libdir}/%{name}  \
  %{buildroot}%{_sbindir}         \
  %{buildroot}%{_bindir}          \
  %{buildroot}%{_mandir}/man{1,8}
%{__install} -m 0755 src/mrd %{buildroot}%{_sbindir}/mrd
%{__install} -m 0755 tools/mrd6sh   %{buildroot}%{_bindir}/mrd6sh.pl
%{__install} -m 0755 tools/c/mrd6sh %{buildroot}%{_bindir}/mrd6sh
%{__install} -m 0755 \
    src/{mld.so,pim.so,console.so,bgp.so,msnip.so,mrdisc.so,ripng.so} \
  %{buildroot}%{_libdir}/%{name}
%{__install} -m 0644 docs/mrd6sh.1 %{buildroot}%{_mandir}/man1/
%{__install} -m 0644 docs/mrd6.8   %{buildroot}%{_mandir}/man8/

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS README MRD6shQuickRef.txt src/confs/*.conf Troubleshooter
##%doc src/docs/rfcs/ src/snmp/MRD-MIB.txt
%{_sbindir}/mrd
%{_bindir}/mrd6sh.pl
%{_bindir}/mrd6sh
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/mld.so
%{_libdir}/%{name}/pim.so
%{_libdir}/%{name}/console.so
%{_libdir}/%{name}/bgp.so
%{_libdir}/%{name}/msnip.so
%{_libdir}/%{name}/mrdisc.so
%{_libdir}/%{name}/ripng.so
%{_mandir}/man1/mrd6sh.1.gz
%{_mandir}/man8/mrd6.8.gz

%changelog
* Tue Mar 27 2007 mrueckert@suse.de
- update to 0.9.5-3
- removed mrd6-0.9.5_compiler_warnings.patch:
  used upstream version of the fix
